Name: highline
Version: 4.2
Release: 0vl2
Vendor: Project Vine
Distribution: Vine Linux
Packager: USAMI Kosuke <usami-k@yc5.so-net.ne.jp>
License: GPL
Group: Applications/Editors/Emacs
URL: http://www.cpqd.com.br/~vinicius/emacs/
Source0: http://www.cpqd.com.br/~vinicius/emacs/highline.el.gz
Source1: %{name}-install.sh
Source2: %{name}-remove.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: emacsen
Summary: emacs minor mode to highlight current line in buffer

%description
highline is a minor mode to highlight the current line in buffer.
To use highline, insert in your ~/.emacs:
    (require 'highline)

%description -l ja
highline は Emacs のマイナーモードで、バッファの現在行をハイライトします。
highline を使うには、次を ~/.emacs に挿入します。
    (require 'highline)

%prep

%build

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_datadir}/emacs/site-lisp/%{name}
%__mkdir_p %{buildroot}%{_libdir}/emacsen-common/packages/install
%__mkdir_p %{buildroot}%{_libdir}/emacsen-common/packages/remove

%__install -m 0644 %{SOURCE0} %{buildroot}%{_datadir}/emacs/site-lisp/%{name}
%__gzip -d %{buildroot}%{_datadir}/emacs/site-lisp/%{name}/*

%_installemacsenscript %{name} %{SOURCE1}

%_removeemacsenscript  %{name} %{SOURCE2}

%clean
%__rm -rf %{buildroot}

%post 
if [ "$1" = 2 ]; then
%_emacsenPackageRemove %{name}

fi
%_addemacsenlist %{name}

%_emacsenPackageInstall %{name}

%preun
if [ "$1" = 0 ]; then
%_emacsenPackageRemove %{name}

%_removeemacsenlist %{name}

fi

%files
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/%{name}/
%{_libdir}/emacsen-common/packages/install/%{name}
%{_libdir}/emacsen-common/packages/remove/%{name}

%changelog
* Sat Sep 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.2-0vl2
- Changed Group to Applications/Editors/Emacs

* Wed Sep  3 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 4.2-0vl1
- Initial build.
